Subject: Re: [PATCH net-next] qrtr: move to staging

From: Manivannan Sadhasivam <[email-masked]>
Date: Mon, 29 Mar 2021 16:22:36 +0530

Hi Greg,

On Mon, Mar 29, 2021 at 11:47:12AM +0200, Loic Poulain wrote:
> Hi Greg,
> 
> On Sun, 28 Mar 2021 at 14:28, Greg Kroah-Hartman <[email-masked]>
> wrote:
> 
> > There does not seem to be any developers willing to maintain the
> > net/qrtr/ code, so move it to drivers/staging/ so that it can be removed
> > from the kernel tree entirely in a few kernel releases if no one steps
> > up to maintain it.
> >
> > Reported-by: Matthew Wilcox <[email-masked]>
> > Cc: Du Cheng <[email-masked]>
> > Signed-off-by: Greg Kroah-Hartman <[email-masked]>
> >
> 
> As far as I know, QRTR/IPCR is still commonly used with Qualcomm-based
> platforms for accessing various components of the SoC.
> CCing Bjorn and Mani, In case they are interested in taking maintenance of
> that.
> 

As Loic said, QRTR is an integral component used in various Qualcomm based
upstream supported products like ChromeOS, newer WLAN chipsets (QCA6390) etc...

It is unfortunate that no one stepped up so far to maintain it. After
having an internal discussion, I decided to pitch in as a maintainer. I'll
send the MAINTAINERS change to netdev list now.

Thanks,
Mani

> Regards,
> Loic